GET /mail-pro/mailboxes/{mailbox_id}
Get a Mail Pro mailbox
Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes.
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
mailbox_id | path | string · required | mailbox identifier |
Responses
| Status | Description | Body |
|---|---|---|
200 | Status, aliases, quota usage | object |
401 | Key missing or invalid | Error |
Examples
curl
curl -X GET "$GALON_API_BASE/mail-pro/mailboxes/<mailbox_id>" \
-H "Authorization: Bearer $GALON_API_KEY"PATCH /mail-pro/mailboxes/{mailbox_id}
Change a mailbox's quota
Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes.
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
mailbox_id | path | string · required | mailbox identifier |
Request body
application/json
| Field | Type | Description |
|---|---|---|
quota_mib | integer · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Mailbox updated | object |
401 | Key missing or invalid | Error |
Examples
curl
curl -X PATCH "$GALON_API_BASE/mail-pro/mailboxes/<mailbox_id>" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"quota_mib": 1}'DELETE /mail-pro/mailboxes/{mailbox_id}
Delete a mailbox (reversible for 30 days)
Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes.
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
mailbox_id | path | string · required | mailbox identifier |
Responses
| Status | Description | Body |
|---|---|---|
200 | Mailbox deleted | object |
401 | Key missing or invalid | Error |
Examples
curl
curl -X DELETE "$GALON_API_BASE/mail-pro/mailboxes/<mailbox_id>" \
-H "Authorization: Bearer $GALON_API_KEY"